org.apache.fontbox.ttf

## Class HorizontalMetricsTable

- java.lang.Object
- - org.apache.fontbox.ttf.TTFTable
  - - org.apache.fontbox.ttf.HorizontalMetricsTable

    public class HorizontalMetricsTable
    extends TTFTable

This 'hmtx'-table is a required table in a TrueType font.

Author:
  Ben Litchfield

### Field Summary

Fields
`static String` `TAG` A tag that identifies this table type.

### Fields inherited from class org.apache.fontbox.ttf.TTFTable

`initialized`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getAdvanceWidth(int gid)` Returns the advance width for the given GID.
`int` `getLeftSideBearing(int gid)` Returns the left side bearing for the given GID.

### Methods inherited from class org.apache.fontbox.ttf.TTFTable

`getCheckSum, getInitialized, getLength, getOffset, getTag`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TAG

    public static final String TAG

A tag that identifies this table type.

See Also:
  Constant Field Values

### Method Detail

#### getAdvanceWidth

    public int getAdvanceWidth(int gid)

Returns the advance width for the given GID.

Parameters:
  `gid` - GID
Returns:
  the advance width of the given GID

#### getLeftSideBearing

    public int getLeftSideBearing(int gid)

Returns the left side bearing for the given GID.

Parameters:
  `gid` - GID
Returns:
  the left side bearing of the given GID